curl --request GET \
--url https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": 1,
"externalId": "3",
"type": "CUSTOMER",
"firstName": "Jane",
"middleName": "Janie",
"lastName": "Smith",
"nickName": "Janey",
"country": "United Kingdom",
"city": "London",
"address": "67 Farringdon Road",
"gender": "FEMALE",
"preferredLanguage": "en-gb",
"birthDate": "1966-01-15",
"profilePicture": "http://profile.com",
"tags": [
"tag1",
"tag2"
],
"contactInformation": [
{
"type": "PHONE",
"identifier": "353861234579",
"sender": "353861234580",
"primary": true
}
],
"customAttributes": {
"Contract Expiry": "2024-06-12",
"Company": "ACME"
},
"computedAttributes": {
"fullName": "Jane Smith"
},
"createdFrom": "API",
"createdBy": "5",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedFrom": "API",
"modifiedBy": "5",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"page": 1,
"size": 2,
"totalPages": 1,
"totalResults": 1
}
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Get persons in a segment
Use this method to get persons in a segment by ID.
Required scope: Enable one of: people:read, people:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/3/segments/{segmentId}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": 1,
"externalId": "3",
"type": "CUSTOMER",
"firstName": "Jane",
"middleName": "Janie",
"lastName": "Smith",
"nickName": "Janey",
"country": "United Kingdom",
"city": "London",
"address": "67 Farringdon Road",
"gender": "FEMALE",
"preferredLanguage": "en-gb",
"birthDate": "1966-01-15",
"profilePicture": "http://profile.com",
"tags": [
"tag1",
"tag2"
],
"contactInformation": [
{
"type": "PHONE",
"identifier": "353861234579",
"sender": "353861234580",
"primary": true
}
],
"customAttributes": {
"Contract Expiry": "2024-06-12",
"Company": "ACME"
},
"computedAttributes": {
"fullName": "Jane Smith"
},
"createdFrom": "API",
"createdBy": "5",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedFrom": "API",
"modifiedBy": "5",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"page": 1,
"size": 2,
"totalPages": 1,
"totalResults": 1
}
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
A unique segment identifier.
42
Query Parameters
Zero-based page index (0..N).
The size of the page to be returned.
1 <= x <= 1000Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.